/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include "epgEventMap.h"

EpgEventMap::EpgEventMap()
{
}

EpgEventMap::~EpgEventMap()
{
}

void 
EpgEventMap::insert(EpgEventContents& _c)
{
    if(_c.eit.startTime==-1) {
	return;
    }
    if(eventMap[_c.eit.startTime]==NULL) {
	eventMap[_c.eit.startTime]=new EpgEvent(_c);
    } else { /* only with tmp content reset works */
	EpgEvent *tmp=new EpgEvent(_c); 
	delete tmp;
    }
    _c.eit.startTime=-1;
}

void 
EpgEventMap::dump()
{
    map<int,EpgEvent * >::iterator i;
    for(i=eventMap.begin();i!=eventMap.end();i++) {
	i->second->dump();
    }
}

void 
EpgEventMap::dumpXml(Xml& _xmlFile)
{
    map<int,EpgEvent * >::iterator i;
    for(i=eventMap.begin();i!=eventMap.end();i++) {
	_xmlFile.startElement("TIME");
	_xmlFile.appendAttripute("startTime",i->first);
	_xmlFile.startElementEnd();
	i->second->dumpXml(_xmlFile);
	_xmlFile.endElement();
    }
}
