/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include <iostream>
#include <map>
#include <list>

#include "epgSchedule.h"

EpgSchedule::EpgSchedule()
{
}

EpgSchedule::~EpgSchedule()
{
}

void
EpgSchedule::insert(EpgEventContents& _c)
{
    if(_c.eit.startDate==-1) {
	return;
    }
    if(schedule[_c.eit.startDate]==NULL) {
	schedule[_c.eit.startDate]=new EpgScheduleDay;
    }
    schedule[_c.eit.startDate]->insert(_c);
    _c.eit.startDate=-1;
}

int
EpgSchedule::today() 
{
    int y,m,d,l;
    struct tm *mytime;
    time_t t;

    t=time(0);
    mytime=localtime(&t);
    y=mytime->tm_year;
    m=mytime->tm_mon+1;
    d=mytime->tm_mday;
    l=0;
    if(m==1 || m==2) {
        l=1;
    }
    return(14956+d+(int)((double)(y-l)*365.25)+(int)((double)(m+1+l*12)*30.6001));
}

void
EpgSchedule::dumpDay(int _date) 
{
    if(schedule[_date]==NULL) {
	cout << "date: " << _date << "not in schedule!" << endl;
	return;
    }
    schedule[_date]->dump();
}

void
EpgSchedule::dumpXml(Xml& _xmlFile) 
{
    map<int,EpgScheduleDay * >::iterator i;
    for(i=schedule.begin();i!=schedule.end();i++) {
	dumpXmlDay(i->first,_xmlFile);
    }
}

void
EpgSchedule::dumpXmlToday(Xml& _xmlFile) 
{
    dumpXmlDay(today(),_xmlFile);
}

void
EpgSchedule::dumpXmlDay(int _date,Xml& _xmlFile) 
{
    if(schedule[_date]==NULL) {
	_xmlFile.startElement("DAY");
	_xmlFile.appendAttripute("date",_date);
	_xmlFile.startElementEnd();
	_xmlFile.endElement();
	return;
    }
    _xmlFile.startElement("DAY");
    _xmlFile.appendAttripute("date",_date);
    _xmlFile.startElementEnd();
    schedule[_date]->dumpXml(_xmlFile);
    _xmlFile.endElement();
}
