/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include <iostream>
#include "epgScheduleDay.h"

EpgScheduleDay::EpgScheduleDay()
{
}

EpgScheduleDay::~EpgScheduleDay()
{
}

void
EpgScheduleDay::insert(EpgEventContents& _c)
{
    if(_c.eit.serviceId==-1) {
	return;
    }
    if(scheduleDay[_c.eit.serviceId]==NULL) {
	scheduleDay[_c.eit.serviceId]=new EpgEventMap;
    }
    scheduleDay[_c.eit.serviceId]->insert(_c);
    _c.eit.serviceId=-1;
}

void
EpgScheduleDay::dump()
{
    map<int,EpgEventMap * >::iterator i;
    for(i=scheduleDay.begin();i!=scheduleDay.end();i++) {
	cout << endl << "serviceId: " << i->first << endl;
	i->second->dump();
    }
}

void
EpgScheduleDay::dumpXml(Xml& _xmlFile) 
{
    map<int,EpgEventMap * >::iterator i;
    for(i=scheduleDay.begin();i!=scheduleDay.end();i++) {
	_xmlFile.startElement("PROGRAM");
	_xmlFile.appendAttripute("serviceId",i->first);
	_xmlFile.startElementEnd();
	i->second->dumpXml(_xmlFile);
	_xmlFile.endElement();
    }
}
