/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include <iostream>
#include "eventAgeList.h"

EventAgeList::EventAgeList(EpgEventContents& _c)
{    
    int i;
    for(i=0;i<MAXLOOP;i++) {
	if(_c.eid[i].age==-1) {
	    break;
	}
	EventAge a(_c.eid[i]);
	eventAgeList.push_back(a);
    }
}

void
EventAgeList::dump()
{
    list<EventAge>::iterator i;
    for(i=eventAgeList.begin();i!=eventAgeList.end();i++) {
	i->dump();
    }
}

void
EventAgeList::dumpXml(Xml& _xmlFile)
{
    list<EventAge>::iterator i;
    for(i=eventAgeList.begin();i!=eventAgeList.end();i++) {
	i->dumpXml(_xmlFile);
    }
}

EventAgeList::EventAge::EventAge(EpgEventInformationDescriptor& _eid)
{
    age=_eid.age;
    lCode=new EventLanguageCode(_eid.ageLCode);

    _eid.age=-1;
}

void
EventAgeList::EventAge::dump()
{	
    cout << "age: " << age << endl;
    lCode->dump();
}

void
EventAgeList::EventAge::dumpXml(Xml& _xmlFile)
{	
    _xmlFile.startElement("AGE");
    _xmlFile.appendAttripute("value",age);
    _xmlFile.startElementEnd();
    lCode->dumpXml(_xmlFile);
    _xmlFile.endElement();
}
