/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include <iostream>
#include "eventCategorie.h"

EventCategorie::EventCategorie(EpgEventContents& _c)
{
    if(_c.eid[0].contentNibble1!=-1) {
	contentNibble1=_c.eid[0].contentNibble1;
	contentNibble2=_c.eid[0].contentNibble2;
	//userNibble1=_c.eid[0].userNibble1;
	//userNibble2=_c.eid[0].userNibble2;

	_c.eid[0].contentNibble1=-1;
    }
}

void
EventCategorie::dump()
{
    cout.setf(ios::hex,ios::basefield);
    cout << "contentNibble1: 0x" << contentNibble1 << endl;
    cout << "contentNibble2: 0x" << contentNibble2 << endl;
    //cout << "userNibble1: 0x" << userNibble1<< endl;
    //cout << "userNibble2: 0x" << userNibble2<< endl;
    cout.setf(ios::dec,ios::basefield);
}

void
EventCategorie::dumpXml(Xml& _xmlFile)
{
    _xmlFile.startElement("CATEGORIE");
    _xmlFile.appendAttripute("nibble1",contentNibble1);
    _xmlFile.appendAttripute("nibble2",contentNibble2);
    _xmlFile.startElementEnd();
    _xmlFile.endElement();
}
