/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#ifndef _DVB_EVENT_COMPONENTS_H_
#define _DVB_EVENT_COMPONENTS_H_

#include <list>
#include <string>
#include "eventLanguageCode.h"
#include "epgXml.h"
#include "epgEventContents.h"

using namespace std;

class EventComponentsList
{
    class EventComponents
    {
	int streamContent;
	int componentType;
	int componentTag;
	string streamDescription;
	EventLanguageCode *lCode;

	public:
	EventComponents(EpgEventInformationDescriptor&);
	void dump();
	void dumpXml(Xml&);
    };
    list<EventComponents> eventComponentsList;

    public:
    EventComponentsList(EpgEventContents&);
    void dump();
    void dumpXml(Xml&);
};

#endif
