/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include <iostream>
#include "eventDescription.h"

EventDescription::EventDescription(EpgEventContents& _c)
{
    eventName=static_cast<string>(reinterpret_cast<char*>(_c.eid[0].eventName));
    eventText=static_cast<string>(reinterpret_cast<char*>(_c.eid[0].eventText));
    for(int i=0;i<MAXLOOP;i++) {
	if(_c.eid[i].eventExtendetText[0]=='\0') {
	    break;
	}
	eventExtendetText+=static_cast<string>(reinterpret_cast<char*>(_c.eid[i].eventExtendetText));
	_c.eid[i].eventExtendetText[0]='\0';
    }
    _c.eid[0].eventName[0]='\0';
    _c.eid[0].eventText[0]='\0';
}

void
EventDescription::dumpAll()
{
    cout << "eventName: " << eventName << endl;
    cout << "eventText: " << eventText << endl;
    cout << "eventExtendetText: " << eventExtendetText << endl;
}

void
EventDescription::dump()
{
    cout << eventName << endl;
}

void
EventDescription::dumpXml(Xml& _xmlFile)
{
    _xmlFile.startElement("DESCRIPTION");
    _xmlFile.appendAttripute("name",eventName);
    _xmlFile.appendAttripute("text",eventText);
    _xmlFile.appendAttripute("extendet",eventExtendetText);
    _xmlFile.startElementEnd();
    _xmlFile.endElement();
}
