/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
#include "packetCounter.h"

PacketCounter::PacketCounter(int _lastSectionNr)
{
    max=_lastSectionNr;
    count=new vector<int>(_lastSectionNr);
}

void
PacketCounter::insert(int _sectionNr)
{
    (*count)[_sectionNr]=1;
}

int
PacketCounter::ready()
{
    if(count->size()==max) {
	return 1;
    }
    return 0;
}

void
MultiPacketCounter::insert(int _serviceId,int _lastSectionNr,int _sectionNr)
{
    if(multiPacketCounter[_serviceId]==NULL) {
	multiPacketCounter[_serviceId]=new PacketCounter(_lastSectionNr);
    }
    multiPacketCounter[_serviceId]->insert(_sectionNr);
}

int
MultiPacketCounter::ready()
{
    map<int,PacketCounter * >::iterator i;
    for(i=multiPacketCounter.begin();i!=multiPacketCounter.end();i++) {
	if(!i->second->ready()) {
	    return 0;
	}
    }
    return 1;
}
