/*
 * Copyright (C) 2002 2003 Sven Schaepe <schaepe@rz.tu-ilmenau.de>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */
extern "C" {
#include <unistd.h>
#include <stdio.h>
};
#include <iostream>
#include "eit.h"
#include "epgXml.h"
#include "epgSchedule.h"

#define v_EPGSCHEDULER "0.1.0"

static int usage(char *progname)
{
    cout << progname << "-" << v_EPGSCHEDULER << endl;
    cout << "usage: " << progname << " [options]" << endl << endl;
    cout << "options: " << endl;
    cout << "\t-h\t\tprint this and exit" << endl;
    cout << "\t-o <filename>\tset xmloutput file to <filename> [default=epg.xml]" << endl;
    return 0;
}

int main(int argc, char *argv[])
{
    char output[256];
    char *xmlOutput;
    int opt;
    while((opt=getopt(argc,argv,"ho:"))!=-1) {
	switch(opt) {
	    case 'o':
		if(sscanf(optarg,"%s",output)!=1) {
		    usage(argv[0]);
		    exit(1);
		}
		cout << "output file: " << output << endl;
		break;
	    case '?':
	    case ':':
	    case 'h':
	    default:
		usage(argv[0]);
		return(0);
	}
    }
    if(output) {
	xmlOutput=output;
    } else {
	xmlOutput="epg.xml";
    }
    Xml xmlFile(xmlOutput);
    EpgSchedule schedule;
    scan_eit(schedule);
    xmlFile.startDocument();
    schedule.dumpXml(xmlFile);
    xmlFile.endDocument();
    return 0;
}
